﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;
using Infragistics.Web.Mvc;

namespace igComboCascadingRazor.Controllers
{
    public class HomeController : Controller
    {
        //
        // GET: /Home/

        public ActionResult Index()
        {
            return View();
        }

        [ComboDataSourceAction]
        public ActionResult combo1DS()
        {
            List<Country> ds1 = new List<Country>();
            ds1.Add(new Country() {TxtCountry = "United States", ValCountry= "US"});
            ds1.Add(new Country() {TxtCountry = "Bulgaria", ValCountry = "BG"});

            return View( ds1.AsQueryable());
        }
        [ComboDataSourceAction]
        public ActionResult combo2DS()
        {
            List<District> ds2 = new List<District>();
            ds2.Add(new District() { KeyCountry = "US", TxtDistrict="New York", ValDistrict = "NY"});
            ds2.Add(new District() { KeyCountry = "BG", TxtDistrict = "Sofia", ValDistrict = "SF" });

            return View(ds2.AsQueryable());
        }
    }

    class Country {
        public string TxtCountry { get; set; }
        public string ValCountry { get; set; }
    }

    class District
    {
        public string KeyCountry { get; set; }
        public string TxtDistrict { get; set; }
        public string ValDistrict { get; set; }
    }
}
